using System;

internal sealed class Delegate860 : MulticastDelegate
{
	public extern object Invoke(Type type_0);

	public static object smethod_0(Type type_0, Delegate860 delegate860_1)
	{
		return delegate860_1(type_0);
	}

	public extern Delegate860(object object_0, IntPtr intptr_0);

	static Delegate860()
	{
		Class10.smethod_13(typeof(Delegate860).TypeHandle);
	}

	internal static Delegate860 delegate860_0;
}
